ghc-7.6.3: The GHC API

Safe Haskell | None

PIC

# Documentation

cmmMakeDynamicReference :: Monad m => DynFlags -> (CLabel -> m ()) -> ReferenceKind -> CLabel -> m CmmExpr

data ReferenceKind

Constructors

DataReference |
CallReference |
JumpReference |

Instances

Eq ReferenceKind |

needImportedSymbols :: Arch -> OS -> Bool

pprImportedSymbol :: Platform -> CLabel -> SDoc

pprGotDeclaration :: Arch -> OS -> SDoc

initializePicBase_ppc :: Arch -> OS -> Reg -> [NatCmmDecl CmmStatics Instr] -> NatM [NatCmmDecl CmmStatics Instr]

initializePicBase_x86 :: Arch -> OS -> Reg -> [NatCmmDecl (Alignment, CmmStatics) Instr] -> NatM [NatCmmDecl (Alignment, CmmStatics) Instr]